
/****************************************************************************/
/*  IILOCK_TRACK.SQL                                                        */
/*                                                                          */
/*  Saturday February 2, 1991 by David Conrad                               */
/*  VAX Cluster with two nodes using INGRES Release 5 and 6                 */
/*  Written on VAX/VMS V5.3-1 using INGRES VAX Version 6.3/02 (vax.vms/02)  */
/*                                                                          */
/*  This SQL script will read the datafile created by IILOCK_TRACK.COM      */
/*  this information comes the output of lockstat.  This information is     */
/*  then loaded into the database.  See II_LOCKSTAT.CR_TBL for the SQL      */
/*  script for creating the table lockstat.                                 */
/*                                                                          */
/*  This is not full proof, but seems to get the job done, if you find      */
/*  something you would like to change (or better way of doing it)          */
/*  please let me know.                                                     */
/*                                                                          */
/****************************************************************************/

SELECT database = dbname, dba = DBMSINFO ('DBA'), 
	username = DBMSINFO ('USERNAME') FROM db; 
	COMMIT;\p\g

SELECT cpu_ms=_CPU_MS(), dio_cnt=_DIO_CNT(), bio_cnt=_BIO_CNT(), 
	time=DATE('NOW') FROM db;
	COMMIT;\p\g

COPY lockstat (
	node_hdr = D16,
	node = C0NL,

	equals_hdr = D44,
	date = C20,
	equals_end = D0NL,

	blank_line = D0NL,

	title_11 = D25,
	tot_lck = C8,
	title_12 = D29,
	lck_trans = C0NL,

	title_31 = D25,
	hash_tbl = C8,
	title_32 = D29,
	locks = C0NL,

	title_41 = D25,
	res_tbl = C8,
	title_42 = D29,
	resources = C0NL,

	title_51 = D25,
	tot_lck_lst = C8,
	title_52 = D29,
	lck_lst = C0NL,

	blank_line = D0NL,
	lock_title = D0NL,
	blank_line = D0NL,

	title_61 = D25,
	create_lck = C8,
	title_62 = D29,
	rel_loc = C0NL,

	title_71 = D25,
	req_lck = C8,
	title_72 = D29,
	rereq_lck = C0NL,

	title_81 = D25,
	conv_lck = C8,
	title_82 = D29,
	rel_lck = C0NL,

	title_91 = D25,
	escalate = C8,
	title_92 = D29,
	lck_wait = C0NL,

	title_101 = D25,
	conver_wait = C8,
	title_102 = D29,
	conv_dead = C0NL,

	title_111 = D25,
	dead_search = C8,
	title_112 = D29,
	deadlock = C0NL,

	title_121 = D25,
	cancle = C8,
	title_122 = D29,
	conv_search = C0NL,

	title_131 = D25,
	enq = C8,
	title_132 = D29,
	deq = C0NL,

	title_141 = D25,
	gbl_dlck = C8,
	title_152 = D29,
	dbl_dead = C0NL,

	title_161 = D25,
	gbl_grant = C8,
	title_162 = D29,
	gbl_dlck_rqst = C0NL,

	title_171 = D25,
	gbl_dlck_call = C8,
	title_172 = D29,
	gbl_dlck_msg = C0NL,

	title_181 = D25,
	cont_calls = C8,
	title_182 = D29,
	cont_sent = C0NL,

	title_191 = D25,
	unsent_rqst = C8,
	title_192 = D29,
	sent_rqst = C0NL

	) FROM 'sql_lock_datafile';\p\g
	COMMIT;\p\g
	
SELECT cpu_ms=_CPU_MS(), dio_cnt=_DIO_CNT(), bio_cnt=_BIO_CNT(), 
	time=DATE('NOW') FROM db;
	COMMIT;\p\g