
/****************************************************************************/
/*  IILOG_TRACK.SQL                                                         */
/*                                                                          */
/*  Saturday February 2, 1991 by David Conrad                               */
/*  VAX Cluster with two nodes using INGRES Release 5 and 6                 */
/*  Written on VAX/VMS V5.3-1 using INGRES VAX Version 6.3/02 (vax.vms/02)  */
/*                                                                          */
/*  This SQL script will read the datafile created by IILOG_TRACK.COM       */
/*  this information comes the output of logstat.  This information is      */
/*  then loaded into the database.  See II_LOGSTAT.CR_TBL for the SQL       */
/*  script for creating the table logstat.                                  */
/*                                                                          */
/*  This is not full proof, but seems to get the job done, if you find      */
/*  something you would like to change (or better way of doing it)          */
/*  please let me know.                                                     */
/*                                                                          */
/****************************************************************************/

SELECT database = dbname, dba = DBMSINFO ('DBA'), 
	username = DBMSINFO ('USERNAME') FROM db; 
	COMMIT;\p\g

SELECT cpu_ms=_CPU_MS(), dio_cnt=_DIO_CNT(), bio_cnt=_BIO_CNT(), 
	time=DATE('NOW') FROM db;
	COMMIT;\p\g

COPY logstat (
	node_hdr = D16,
	node = C0NL,

	equals_hdr = D22,
	date = C20,
	equals_end = D0NL,

	blank_line = D0NL,

	title_11 = D25,
	db_adds = C8,
	title_12 = D27,
	db_dels	= C0NL,

	title_21 = D25,
	tran_beg = C8,
	title_22 = D27,
	tran_end = C0NL,

	title_31 = D25,
	log_rd_io = C8,
	title_32 = D27,
	log_wr_io = C0NL,

	title_41 = D25,
	log_write = C8,
	title_42 = D27,
	log_force = C0NL,

	title_51 = D25,
	log_wait = C8,
	title_52 = D27,
	log_split = C0NL,

	title_61 = D25,
	log_free = C8,
	title_62 = D27,
	log_stall = C0NL,

	title_71 = D25,
	log_commit = C8,
	title_72 = D27,
	log_cnt = C0NL,

	title_81 = D25,
	ck_timer = C8,
	title_82 = D27,
	timer_write = C0NL,

	title_91 = D25,
	incons_db = C8,
	title_92 = D27,
	kbytes = C0NL,

	blank_line = D0NL,
	log_hdr = D0NL,

	title_101 = D15,
	blk_size = C5,
	title_102 = D16,
	blk_cnt = C7,
	title_103 = D17,
	buff_cnt = C0NL,

	cp_stuff = D0NL,
	last_trans = D0NL,
	begin_end = D0NL,

	title_111 = D34,
	percent = C0NL

	) FROM 'sql_datafile';\p\g
	COMMIT;\p\g
	
SELECT cpu_ms=_CPU_MS(), dio_cnt=_DIO_CNT(), bio_cnt=_BIO_CNT(), 
	time=DATE('NOW') FROM db;
	COMMIT;\p\g